Package Details: c-client 2007f-20

Git Clone URL: https://aur.archlinux.org/c-client.git (read-only, click to copy)
Package Base: c-client
Description: Imap client library
Upstream URL: https://github.com/uw-imap/imap
Licenses: Apache
Submitter: el_aur
Maintainer: el_aur
Last Packager: el_aur
Votes: 4
Popularity: 0.98
First Submitted: 2023-01-16 11:05 (UTC)
Last Updated: 2023-01-16 11:05 (UTC)

Latest Comments

arakmar commented on 2024-05-20 10:07 (UTC)

You are right, theses errors are triggered because of GCC 13 which is now more strict. Some warnings are now considered as errors.

Instead of using GCC 12 (not a long term solution), you can just mark those errors as warning again with this change. You have to replace the CFLAGS line with :

CFLAGS+=" -ffat-lto-objects -Wno-error=implicit-function-declaration -Wno-error=incompatible-pointer-types"

raicem commented on 2024-05-19 21:13 (UTC)

Can't install this package as I get the error below, I wonder if it's related to the GCC12 comment. My goal is to be able to install php81 or php83-iconv.

env_unix.c: In function ‘lock_work’:
osdep.h:60:15: error: implicit declaration of function ‘safe_flock’ [-Wimplicit-function-declaration]
   60 | #define flock safe_flock

arakmar commented on 2024-05-12 15:49 (UTC)

It's not buildable anymore with GCC 13

It needs to be forced with GCC 12 :

diff --git a/PKGBUILD b/PKGBUILD
index 635a4ad..7684a12 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@ pkgrel=20
 arch=('x86_64')
 license=('APACHE')
 url="https://github.com/uw-imap/imap"
-makedepends=('pam' 'git')
+makedepends=('pam' 'git' 'gcc12' 'gcc12-libs')
 source=("imap-src::git+https://github.com/uw-imap/imap.git#tag=patches-FD29-RPM"
         'c-client-2006k_GENTOO_amd64-so-fix.patch')
 options=('staticlibs')
@@ -29,7 +29,7 @@ build() {
   CFLAGS+=" -ffat-lto-objects"
   # NOTE: if you wish to enforce SSL, use SSLTYPE=unix.nopwd

-  yes "y" | make -j1 lnp EXTRAAUTHENTICATORS=gss PASSWDTYPE=pam SPECIALAUTHENTICATORS=ssl SSLTYPE=unix EXTRACFLAGS="${CFLAGS} -fPIC -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lpam" EXTRALDFLAGS="${LDFLAGS}"
+  yes "y" | make -j1 lnp CC=/usr/bin/gcc-12 EXTRAAUTHENTICATORS=gss PASSWDTYPE=pam SPECIALAUTHENTICATORS=ssl SSLTYPE=unix EXTRACFLAGS="${CFLAGS} -fPIC -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lpam" EXTRALDFLAGS="${LDFLAGS}"

 }

el_aur commented on 2023-03-02 08:44 (UTC)

@PolarianDev what's an issue with it in ArchWiki?

PolarianDev commented on 2023-03-01 21:14 (UTC)

el_aur you need to build imap as well otherwise this is a disfunctional PKGBUILD and should be converted into a single pkgbuild and not a split package.

Why have you intentionally stopped building the imap section? This is causing issues over on the ArchWiki

el_aur commented on 2023-03-01 21:00 (UTC)

@PolarianDev PKGBUILD's imap base package is fictive and not being built at all. So it has no base package

PolarianDev commented on 2023-02-27 19:33 (UTC)

Some advice...

As the project is named IW IMAP, the base package should be iw-imap, and then make imap and c-client from that, it would make more sense that ways :)

el_aur commented on 2023-02-21 11:58 (UTC) (edited on 2023-02-21 11:59 (UTC) by el_aur)

@bidulock: I need only this part to get PHP packages built. Imap binary is not used there

bidulock commented on 2023-01-22 04:54 (UTC)

Why are you not also building imap? This package gets in the way of building c-client and imap the way they used to be: with imap pkgbase and imap, c-client packages.